Freeciv-3.2: /fast/freeciv/nightly/S3_2/server/generator/temperature_map.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Typedefs | Functions
temperature_map.h File Reference
`#include "support.h"`

Go to the source code of this file.

## Macros

#define | TT_FROZEN 1
#define | TT_COLD 2
#define | TT_TEMPERATE 4
#define | TT_TROPICAL 8
#define | TT_NFROZEN (TT_COLD | TT_TEMPERATE | TT_TROPICAL)
#define | TT_ALL (TT_FROZEN | TT_NFROZEN)
#define | TT_NHOT (TT_FROZEN | TT_COLD)
#define | TT_HOT (TT_TEMPERATE | TT_TROPICAL)

## Typedefs

typedef int | temperature_type

## Functions

bool | temperature_is_initialized (void)
bool | tmap_is (const struct tile *ptile, temperature_type tt)
bool | is_temperature_type_near (const struct tile *ptile, temperature_type tt)
void | destroy_tmap (void)
void | create_tmap (bool real)

## Macro Definition Documentation

## ◆ TT_ALL

#define TT_ALL (TT_FROZEN | TT_NFROZEN)

Definition at line 32 of file temperature_map.h.

## ◆ TT_COLD

#define TT_COLD 2

Definition at line 27 of file temperature_map.h.

## ◆ TT_FROZEN

#define TT_FROZEN 1

Definition at line 26 of file temperature_map.h.

## ◆ TT_HOT

#define TT_HOT (TT_TEMPERATE | TT_TROPICAL)

Definition at line 34 of file temperature_map.h.

## ◆ TT_NFROZEN

#define TT_NFROZEN (TT_COLD | TT_TEMPERATE | TT_TROPICAL)

Definition at line 31 of file temperature_map.h.

## ◆ TT_NHOT

#define TT_NHOT (TT_FROZEN | TT_COLD)

Definition at line 33 of file temperature_map.h.

## ◆ TT_TEMPERATE

#define TT_TEMPERATE 4

Definition at line 28 of file temperature_map.h.

## ◆ TT_TROPICAL

#define TT_TROPICAL 8

Definition at line 29 of file temperature_map.h.

## Typedef Documentation

## ◆ temperature_type

typedef int temperature_type

Definition at line 24 of file temperature_map.h.

## Function Documentation

## ◆ create_tmap()

void create_tmap | ( | bool | real | ) |

Initialize the temperature_map if arg is FALSE, create a dummy tmap == map_colatitude to be used if hmap or oceans are not placed gen 2-4

Definition at line 119 of file temperature_map.c.

Referenced by create_start_positions(), make_land(), and map_fractal_generate().

## ◆ destroy_tmap()

void destroy_tmap | ( | void |  | ) |

Free the tmap

Definition at line 107 of file temperature_map.c.

Referenced by create_start_positions(), make_land(), and map_fractal_generate().

## ◆ is_temperature_type_near()

bool is_temperature_type_near | ( | const struct tile * | ptile,
|  | temperature_type | tt
| ) |  |

Return true if at least one tile has tt temperature type

Definition at line 93 of file temperature_map.c.

Referenced by make_land(), make_polar(), and make_polar_land().

## ◆ temperature_is_initialized()

bool temperature_is_initialized | ( | void |  | ) |

Returns one line (given by the y coordinate) of the temperature map. Return TRUE if temperateure_map is initialized

Definition at line 77 of file temperature_map.c.

Referenced by create_start_positions(), and map_fractal_generate().

## ◆ tmap_is()

bool tmap_is | ( | const struct tile * | ptile,
|  | temperature_type | tt
| ) |  |

Return true if the tile has tt temperature type

Definition at line 85 of file temperature_map.c.

Referenced by condition_filter(), fill_island(), is_valid_start_pos(), make_land(), make_plain(), make_polar(), make_polar_land(), make_relief(), and place_terrain().